/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/

/**
 * Node store.
 *
 * @since 3.0
 */
Ext.define('NX.proui.store.Node', {
  extend: 'Ext.data.Store',
  model: 'NX.proui.model.Node',

  proxy: {
    type: 'direct',
    paramsAsHash: false,
    api: {
      read: 'NX.direct.proui_Node.read'
    },

    reader: {
      type: 'json',
      root: 'data',
      idProperty: 'uuid',
      successProperty: 'success'
    }
  },

  sorters: { property: 'local', direction: 'ASC' }

});
